unit EntryFeeUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TfrmEntryFee = class(TForm)
    pnlTop: TPanel;
    imgLeft: TImage;
    imgRight: TImage;
    pnlCar: TPanel;
    ckbPrepaidEntry: TCheckBox;
    rdgMode: TRadioGroup;
    cmbType: TComboBox;
    Label1: TLabel;
    pnlWalk: TPanel;
    lblAdults: TLabel;
    edtAdults: TEdit;
    lblSenior: TLabel;
    edtSenior: TEdit;
    btnShowFee: TButton;
    btnClearReset: TButton;
    lblCar: TLabel;
    lblWalkIn: TLabel;
    procedure FormShow(Sender: TObject);
    procedure rdgModeClick(Sender: TObject);
    procedure cmbTypeChange(Sender: TObject);
    procedure btnShowFeeClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure edtAdultsExit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    // 1.1.3

  end;

var
  frmEntryFee: TfrmEntryFee;

implementation

{$R *.dfm}
//==============================================================================
procedure TfrmEntryFee.btnShowFeeClick(Sender: TObject);
begin
  // 1.1.5


  // 1.1.6

end;
//==============================================================================
procedure TfrmEntryFee.cmbTypeChange(Sender: TObject);
begin
  if cmbType.Text = 'Exhibitor' then
   begin
    ckbPrepaidEntry.Visible := true;
    ckbPrepaidEntry.Checked := false;
   end
  else
   begin
     ckbPrepaidEntry.Visible := false
   end;
end;
//==============================================================================
procedure TfrmEntryFee.edtAdultsExit(Sender: TObject);
begin
  //1.1.7

end;
//==============================================================================
procedure TfrmEntryFee.FormCreate(Sender: TObject);
begin
  //1.1.4

end;
//==============================================================================
procedure TfrmEntryFee.FormShow(Sender: TObject);
begin
  //1.1.1

end;
//==============================================================================
procedure TfrmEntryFee.rdgModeClick(Sender: TObject);
begin
  //1.1.2

end;
//==============================================================================
end.


